FLTK 1.4.4

Loading...
Searching...
No Matches
fl_curve.cxx File Reference

Utility for drawing Bézier curves, adding the points to the current fl_begin/fl_vertex/fl_end path. More...

`#include <FL/fl_draw.H>`
`#include <math.h>`

## Detailed Description

Utility for drawing Bézier curves, adding the points to the current fl_begin/fl_vertex/fl_end path.

Incremental math implementation: I very much doubt this is optimal! From Foley/vanDam page 511. If anybody has a better algorithm, please send it!